#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {3, 2, 1};
}

int getMove1d(std::vector<int> v)
{
    int po = (int)v.size() / 2;
    int go = po - 1;
    if (go == 0) go = 3;
    if (v[po + 1] == go) return po + 1;
    else return po - 1;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
